Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.datatypes.time
Class TimeIndeterminateValue

    java.lang.Object
      org.deegree.datatypes.time.TimeIndeterminateValue

All Implemented Interfaces:
  Serializable

    public class TimeIndeterminateValue

extends Object
implements Serializable

Since:
  2.0
Version:
  $Revision: 18195 $, 1.0. $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $
See Also:
  Serialized Form

Field Summary
`static String` | `AFTER` Comment for `AFTER`
`static String` | `BEFORE` Comment for `BEFORE`
`static String` | `NOW` Comment for `NOW`
`static String` | `UNKNOWN` Comment for `UNKNOWN`
`String` | `value` Comment for `value`

Constructor Summary
`TimeIndeterminateValue()` default = NOW
`TimeIndeterminateValue(String value)`

Method Summary
`boolean` | `equals(Object object)` Compares the specified object with this enum for equality.
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### AFTER

    public static final String AFTER

  Comment for `AFTER`

  See Also:
    Constant Field Values

### BEFORE

    public static final String BEFORE

  Comment for `BEFORE`

  See Also:
    Constant Field Values

### NOW

    public static final String NOW

  Comment for `NOW`

  See Also:
    Constant Field Values

### UNKNOWN

    public static final String UNKNOWN

  Comment for `UNKNOWN`

  See Also:
    Constant Field Values

### value

    public String value

  Comment for `value`

Constructor Detail

### TimeIndeterminateValue

    public TimeIndeterminateValue()

  default = NOW

### TimeIndeterminateValue

    public TimeIndeterminateValue(String value)

Parameters:
  `value` -

Method Detail

### equals

    public boolean equals(Object object)

  Compares the specified object with this enum for equality.

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`
  See Also:
    `Object.hashCode()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org